const data = [
  {
    day: 'Mon',
    apricots: 120,
    blueberries: 180,
    cherries: 100,
  },
  {
    day: 'Tue',
    apricots: 60,
    blueberries: 185,
    cherries: 105,
  },
  {
    day: 'Wed',
    apricots: 100,
    blueberries: 215,
    cherries: 110,
  },
  {
    day: 'Thu',
    apricots: 80,
    blueberries: 230,
    cherries: 105,
  },
  {
    day: 'Fri',
    apricots: 120,
    blueberries: 240,
    cherries: 105,
  },
];

const colors = ['#FBB65B', '#513551', '#de3163'];

const stack = d3
  .stack()
  .keys(['apricots', 'blueberries', 'cherries']);

const stackedSeries = stack(data);

// Create a `g` element for each series
const g = d3
  .select('g')
  .selectAll('g.series')
  .data(stackedSeries)
  .join('g')
  .classed('series', true)
  .style('fill', (d, i) => colors[i])
	.attr('transform', `translate(${100}, ${20})`);

// For each series create a rect element for each day
g.selectAll('rect')
  .data(d => d)
  .join('rect')
  .attr('width', d => d[1] - d[0])
  .attr('x', d => d[0])
  .attr('y', (d, i) => i * 20)
  .attr('height', 19);

// Text Labels
const label = d3	
	.select('svg')
	.append('g')
	.selectAll('g.label')
	.data(data)
	.join('text')
	.text(d => d.day)
	.attr('transform', (d, i) => `translate(${50}, ${i * 16 + 32})`)
	.attr('text-anchor', 'middle')
	